summaryrefslogtreecommitdiff
path: root/dev-util/github-cli/github-cli-9999.ebuild
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-06-13 10:39:22 +0100
committerV3n3RiX <venerix@redcorelinux.org>2020-06-13 10:39:22 +0100
commit9452a6e87b6c2c70513bc47a2470bf9f1168920e (patch)
tree8ac67e26b45f34d71c5aab3621813b100a0d5f00 /dev-util/github-cli/github-cli-9999.ebuild
parentf516638b7fe9592837389826a6152a7e1b251c54 (diff)
gentoo resync : 13.06.2020
Diffstat (limited to 'dev-util/github-cli/github-cli-9999.ebuild')
-rw-r--r--dev-util/github-cli/github-cli-9999.ebuild21
1 files changed, 18 insertions, 3 deletions
diff --git a/dev-util/github-cli/github-cli-9999.ebuild b/dev-util/github-cli/github-cli-9999.ebuild
index 61c48d3dee4c..a85b465b8d87 100644
--- a/dev-util/github-cli/github-cli-9999.ebuild
+++ b/dev-util/github-cli/github-cli-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit go-module
+inherit bash-completion-r1 go-module
DESCRIPTION="GitHub CLI"
HOMEPAGE="https://github.com/cli/cli"
@@ -273,7 +273,6 @@ LICENSE="MIT Apache-2.0 BSD BSD-2 MPL-2.0"
SLOT="0"
RDEPEND=">=dev-vcs/git-1.7.3"
-BDEPEND=">=dev-lang/go-1.13"
src_unpack() {
if [[ ${PV} == *9999 ]]; then
@@ -286,12 +285,28 @@ src_unpack() {
src_compile() {
[[ ${PV} == *9999 ]] || export GH_VERSION="v${PV}"
- # Golang LDFLAGS are not the same as GCC/Binutils LDFLAGS
+ # Go LDFLAGS are not the same as GCC/Binutils LDFLAGS
unset LDFLAGS
+ # Once we set up cross compiling, this line will need to be adjusted
+ # to compile for the target.
+ # Everything else in this function happens on the host.
emake
+
+ einfo "Building man pages"
+ emake manpages
+
+ einfo "Building completions"
+ go run ./cmd/gh completion -s bash > gh.bash-completion || die
+ go run ./cmd/gh completion -s zsh > gh.zsh-completion || die
}
src_install() {
dobin bin/gh
dodoc README.md
+
+ doman share/man/man?/gh*.?
+
+ newbashcomp gh.bash-completion gh
+ insinto /usr/share/zsh/site-functions
+ newins gh.zsh-completion _gh
}